package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BasePowderOrder;
import com.op.wms.domain.OdsRawStorageNews;

/**
 * 粉料采购计划Mapper接口
 *
 * @author Open Platform
 * @date 2023-07-05
 */
public interface BasePowderOrderMapper {
	/**
	 * 查询粉料采购计划
	 *
	 * @param ID 粉料采购计划主键
	 * @return 粉料采购计划
	 */
	public BasePowderOrder selectBasePowderOrderByID(String ID);

	/**
	 * 查询粉料采购计划列表
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 粉料采购计划集合
	 */
	public List<BasePowderOrder> selectBasePowderOrderList(BasePowderOrder basePowderOrder);

	/**
	 * 新增粉料采购计划
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 结果
	 */
	public int insertBasePowderOrder(BasePowderOrder basePowderOrder);

	/**
	 * 修改粉料采购计划
	 *
	 * @param basePowderOrder 粉料采购计划
	 * @return 结果
	 */
	public int updateBasePowderOrder(BasePowderOrder basePowderOrder);

	/**
	 * 删除粉料采购计划
	 *
	 * @param ID 粉料采购计划主键
	 * @return 结果
	 */
	public int deleteBasePowderOrderByID(String ID);

	/**
	 * 批量删除粉料采购计划
	 *
	 * @param IDs 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBasePowderOrderByIDs(String[] IDs);

	void updateOdsRawStorageNewsAdd(OdsRawStorageNews odsRawStorageNews);

	OdsRawStorageNews  selectOdsRawStorageNews(BasePowderOrder basePowderOrder1);

	void insertOdsRawStorageNews(OdsRawStorageNews odsRawStorageNews1);

	void updateOdsRawStorageNewsReturn(OdsRawStorageNews odsRawStorageNews1);
}
